module NextOnRails
  module DeviseTokenAuthOverride
    module Concerns
      module CurrentResourceSerializer
        extend ActiveSupport::Concern

        private

          def current_resource_serializer(resource)
            "Current#{resource.class}Serializer".constantize
          end
      end
    end
  end
end
