module NextOnRails
  class DeviseTokenAuthOverride::TokenValidationsController < DeviseTokenAuth::TokenValidationsController
    include DeviseTokenAuthOverride::Concerns::CurrentResourceSerializer

    def render_validate_token_success
      render json: current_resource_serializer(@resource).new(@resource), status: :ok
    end

    def render_error(status, message, _data = nil)
      render json: ErrorsSerializer.new(message), status: status
    end
  end
end
