module NextOnRails
  class ErrorsSerializer
    def initialize(*messages)
      @messages = messages
    end

    def serializable_hash
      # return { errors: [{ detail: @message }] }
      return { errors: @messages.map { |message| { detail: message } } }
    end

    def to_json(options = nil)
      self.serializable_hash.to_json(options)
    end
  end
end
